/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import { LitElement } from 'lit-element/lit-element.js';
import { IGeneratedStep } from '../creator.js';
import { EventEmitter } from '@kano/common/index.js';
import '@kano/styles/color.js';
export declare class CreatorUI extends LitElement {
    selectedFile: string | null;
    offline: boolean;
    title: string;
    mode: 'edit' | 'play';
    collapsed: boolean;
    generatedSteps: IGeneratedStep[];
    selectedStepIndex: number;
    files: string[];
    readonly selectedStep: IGeneratedStep;
    private subscriptions;
    private filesTooltip?;
    _onDidFocusStep: EventEmitter<IGeneratedStep>;
    readonly onDidFocusStep: import("@kano/common/index.js").IEvent<IGeneratedStep>;
    _onDidPlayStep: EventEmitter<IGeneratedStep>;
    readonly onDidPlayStep: import("@kano/common/index.js").IEvent<IGeneratedStep>;
    _onDidSelectStep: EventEmitter<IGeneratedStep>;
    readonly onDidSelectStep: import("@kano/common/index.js").IEvent<IGeneratedStep>;
    _onDidBlurStep: EventEmitter<IGeneratedStep>;
    readonly onDidBlurStep: import("@kano/common/index.js").IEvent<IGeneratedStep>;
    _onDidClickChallengeToggle: EventEmitter<IGeneratedStep>;
    readonly onDidClickChallengeToggle: import("@kano/common/index.js").IEvent<IGeneratedStep>;
    _onDidSelectFile: EventEmitter<string>;
    readonly onDidSelectFile: import("@kano/common/index.js").IEvent<string>;
    _onDidClickNext: EventEmitter;
    readonly onDidClickNext: import("@kano/common/index.js").IEvent<void>;
    _onDidClickPrevious: EventEmitter;
    readonly onDidClickPrevious: import("@kano/common/index.js").IEvent<void>;
    static readonly styles: import("lit-element").CSSResult[];
    render(): import("lit-element").TemplateResult;
    static readonly stepsListStyles: import("lit-element").CSSResult;
    renderStepsList(): import("lit-element").TemplateResult;
    static readonly barStyles: import("lit-element").CSSResult;
    renderBar(): import("lit-element").TemplateResult;
    _onPreviousStepClick(): void;
    _onNextStepClick(): void;
    static readonly fileStyles: import("lit-element").CSSResult;
    renderFile(path: string): import("lit-element").TemplateResult;
    static readonly connectionStatusStyles: import("lit-element").CSSResult;
    renderConnectionStatus(): import("lit-element").TemplateResult;
    renderPreview(): import("lit-element").TemplateResult;
    selectFile(path: string): void;
    openTooltip(): void;
    toggle(): void;
    close(): void;
    setStepData(steps: IGeneratedStep[]): void;
    selectStep(index: number): void;
    playStep(step: IGeneratedStep): void;
    _onMouseEnter(step: IGeneratedStep): void;
    _onMouseLeave(step: IGeneratedStep): void;
    _onClick(step: IGeneratedStep): void;
    _onChallengeToggleClick(): void;
    dispose(): void;
}
